<footer class="md-footer">

    <!-- Link to previous and/or next page -->
    {% if page.previous_page or page.next_page %}
        <nav class="md-footer__inner md-grid" aria-label="{{ lang.t('footer.title') }}">

            <!-- Link to previous page -->
            {% if page.previous_page %}
                {% set direction = lang.t("footer.previous") %}
                <a href="{{ page.previous_page.url | url }}" class="md-footer__link md-footer__link--prev" aria-label="{{ direction }}: {{ page.previous_page.title | e }}" rel="prev">
                    <div class="md-footer__button md-icon">
                        {% include ".icons/material/arrow-left.svg" %}
                    </div>
                    <div class="md-footer__title">
                        <div class="md-ellipsis">
                            <span class="md-footer__direction">
                                {{ direction }}
                            </span>
                            <!-- CUSTOM PART -->
                            {% if page.previous_page.meta and page.previous_page.meta.title %}
                                {{ page.previous_page.meta.title }}
                            {% else %}
                                {{ page.previous_page.title }}
                            {% endif %}
                            <!-- CUSTOM PART ENDS -->
                        </div>
                    </div>
                </a>
            {% endif %}

            <!-- Link to next page -->
            {% if page.next_page %}
                {% set direction = lang.t("footer.next") %}
                <a href="{{ page.next_page.url | url }}" class="md-footer__link md-footer__link--next" aria-label="{{ direction }}: {{ page.next_page.title | e }}" rel="next">
                    <div class="md-footer__title">
                        <div class="md-ellipsis">
                            <span class="md-footer__direction">
                                {{ direction }}
                            </span>
                            <!-- CUSTOM PART -->
                            {% if page.next_page.meta and page.next_page.meta.title %}
                                {{ page.next_page.meta.title }}
                            {% else %}
                                {{ page.next_page.title }}
                            {% endif %}
                            <!-- CUSTOM PART ENDS -->
                        </div>
                    </div>
                    <div class="md-footer__button md-icon">
                        {% include ".icons/material/arrow-right.svg" %}
                    </div>
                </a>
            {% endif %}
        </nav>
    {% endif %}

    <!-- Further information -->
    <div class="md-footer-meta md-typeset">
        <div class="md-footer-meta__inner md-grid">
            {% include "partials/copyright.html" %}

            <!-- Social links -->
            {% if config.extra.social %}
                {% include "partials/social.html" %}
            {% endif %}
        </div>
    </div>
</footer>
